Bug 1347497 - CVE-2016-4970 netty: Infinite loop vulnerability when handling renegotiation using SslProvider.OpenSsl [fedora-all]
Summary: CVE-2016-4970 netty: Infinite loop vulnerability when handling renegotiation ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: netty
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Severin Gehwolf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-4970
TreeView+ depends on / blocked
 
Reported: 2016-06-17 05:07 UTC by Summer Long
Modified: 2016-06-20 11:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-19 22:02:06 UTC
Type: ---


Attachments (Terms of Use)

Description Summer Long 2016-06-17 05:07:52 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Summer Long 2016-06-17 05:08:02 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1343616,1347497

# Description of your update
notes=Security fix for CVE-2016-4970

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 3 Severin Gehwolf 2016-06-17 08:42:40 UTC
I don't believe netty in Fedora is affected by this CVE:
http://pkgs.fedoraproject.org/cgit/rpms/netty.git/tree/npn_alpn_ssl_fixes.patch

Comment 4 Severin Gehwolf 2016-06-17 08:47:18 UTC
$ rpm -qf /usr/share/java/netty/netty-handler.jar
$ mkdir testme
$ cd testme
$ unzip -d . /usr/share/java/netty/netty-handler.jar
$ find -name OpenSsl.class
--> This comes back empty.

Comment 5 Severin Gehwolf 2016-06-17 08:47:45 UTC
(In reply to Severin Gehwolf from comment #4)
> $ rpm -qf /usr/share/java/netty/netty-handler.jar
netty-4.0.28-3.fc24.x86_64
> $ mkdir testme
> $ cd testme
> $ unzip -d . /usr/share/java/netty/netty-handler.jar
> $ find -name OpenSsl.class
> --> This comes back empty.

Comment 6 Summer Long 2016-06-19 22:02:06 UTC
Apologies, Severin. The original analysis had: fedora-all/netty=affected,fedora-all/netty3=notaffected. I think they must have just missed the fedora-all parameter when writing everything up, and when I later raised the embargo, the automation tools picked it up and created this ticket. Closing.

Comment 7 Severin Gehwolf 2016-06-20 11:59:21 UTC
Thanks, Summer.


Note You need to log in before you can comment on or make changes to this bug.